# WindowDesc Struct Reference

High level window description. More...

`#include <window_gui.h>`

Inheritance diagram for WindowDesc:

## Public Member Functions
| WindowDesc (WindowPosition default_pos, int16 def_width, int16 def_height, WindowClass window_class, WindowClass parent_class, uint32 flags, const NWidgetPart *nwid_parts, int16 nwid_length)
| Window description constructor.
## Data Fields
WindowPosition | default_pos
| Prefered position of the window.
int16 | default_width
| Prefered initial width of the window.
int16 | default_height
| Prefered initial height of the window.
WindowClass | cls
| Class of the window,.
WindowClass | parent_cls
| Class of the parent window.
uint32 | flags
| Flags.
const NWidgetPart * | nwid_parts
| Nested widget parts describing the window.
int16 | nwid_length
| Length of the nwid_parts array.

## Detailed Description

High level window description.

Definition at line 144 of file window_gui.h.

## Constructor & Destructor Documentation

WindowDesc::WindowDesc | ( | WindowPosition | def_pos,
|  | int16 | def_width,
|  | int16 | def_height,
|  | WindowClass | window_class,
|  | WindowClass | parent_class,
|  | uint32 | flags,
|  | const NWidgetPart * | nwid_parts,
|  | int16 | nwid_length |
| ) |  |  |

Window description constructor.

Definition at line 64 of file window.cpp.

## Field Documentation

WindowClass WindowDesc::cls

Class of the window,.

See also:
  WindowClass.

Definition at line 155 of file window_gui.h.

Referenced by AllocateWindowDescFront(), and Window::InitializeData().

WindowPosition WindowDesc::default_pos

Prefered position of the window.

See also:
  WindowPosition()

Definition at line 152 of file window_gui.h.

Referenced by Window::InitializeData(), and LocalGetWindowPlacement().

uint32 WindowDesc::flags

Flags.

See also:
  WindowDefaultFlags

Definition at line 157 of file window_gui.h.

Referenced by Window::InitializeData().

WindowClass WindowDesc::parent_cls

Class of the parent window.

See also:
  WindowClass

Definition at line 156 of file window_gui.h.

Referenced by LocalGetWindowPlacement().

The documentation for this struct was generated from the following files:

- src/window_gui.h
- src/window.cpp